/*
**	mod_proc.h	- Lite / W3-mSQL module for process related routines
**
**
** Copyright (c) 1996  Hughes Technologies Pty Ltd.
**
** Permission to use, copy, and distribute for non-commercial purposes,
** is hereby granted without fee, providing that the above copyright
** notice appear in all copies and that both the copyright notice and this
** permission notice appear in supporting documentation.
**
** The software may be modified for your own purposes, but modified versions
** may not be distributed.
**
** This software is provided "as is" without any expressed or implied warranty.
**
*/




/*
** External function prototypes
*/

void doFork();
void doExec();
void doPipe();
void doDup2();
void doWait();
void doSignal();

/*
** Note : As this is a dynamic loading module (rather than a static
** linked module) we don't need the function pointer field to be
** completed.  It will be filled at run-time as the module is loaded
** into Lite's process address space.
*/

/*
** Process related module function definitions
**
** This table maps from internal Lite function names to the C code.
** The format is :-
**
**	{LiteName, CFunctPtr, CFunctName, NumArgs, { Arg1Type, Arg2Type.., 0}}
**
**	Setting NumArgs to -1 indicates varargs
*/


efunct_t proc_efuncts[] = {
	{ "fork", NULL, "_doFork", 0, { 0} },
	{ "exec", NULL, "_doExec", 2, { P_TEXT, P_ARRAY,  0} },
	{ "pipe", NULL, "_doPipe", 0, { 0} },
	{ "dup2", NULL, "_doDup2", 2, { P_INT, P_INT, 0} },
	{ "wait", NULL, "_doWait", 1, { P_INT, 0} },
	{ "signal", NULL, "_doSignal", 2, { P_INT, P_TEXT, 0} },

	{ NULL, 0 }
};
